---
title: HTMLLinkElement.as
slug: Web/API/HTMLLinkElement/as
tags:
  - API
  - Element
  - HTMLLInkElement
  - Link
  - Preload API
  - Property
  - Reference
  - as
---
<p>{{SeeCompatTable}}{{APIRef("HTML DOM")}}</p>

<p>The <strong><code>as</code></strong> property of the {{domxref("HTMLLinkElement")}} interface returns a {{domxref("DOMString")}} representing the type of content being loaded by the HTML link, one of <code>"script"</code>, <code>"style"</code>, <code>"image"</code>, <code>"video"</code>, <code>"audio"</code>, <code>"track"</code>, <code>"font"</code>, <code>"fetch"</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>as</em> = HTMLLinkElement.<em>as</em>
HTMLLinkElement.<em>as</em> = <em>as</em></pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Preload','#as-attribute','as')}}</td>
   <td>{{Spec2('Preload')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.HTMLLinkElement.as")}}</p>
</div>
